---
title: OfflineAudioCompletionEvent.OfflineAudioCompletionEvent()
slug: Web/API/OfflineAudioCompletionEvent/OfflineAudioCompletionEvent
tags:
  - API
  - Audio
  - Constructor
  - OfflineAudioCompletionEvent
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code><strong>OfflineAudioCompletionEvent()</strong></code> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("OfflineAudioCompletionEvent")}} object instance.</p>

<div class="note">
<p><strong>Note</strong>: You wouldn't generally use the constructor manually. <code>OfflineAudioCompletionEvent</code>s are despatched to {{domxref("OfflineAudioContext")}} instances for legacy reasons.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var offlineAudioCompletionEvent = new OfflineAudioCompletionEvent(<em>type</em>, <em>init</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><em>type </em>{{optional_inline}}</dt>
	<dd>A {{domxref("DOMString")}} representing the type of object to create.</dd>
	<dt><em>init</em> {{optional_inline}}</dt>
	<dd>Options are as follows:
	<ul>
		<li><code>renderedBuffer</code>: The rendered {{domxref("AudioBuffer")}} containing the audio data.</li>
	</ul>
	</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("OfflineAudioCompletionEvent")}} object instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Audio API','#dom-offlineaudiocompletionevent-offlineaudiocompletionevent','OfflineAudioCompletionEvent()')}}</td>
			<td>{{Spec2('Web Audio API')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.OfflineAudioCompletionEvent.OfflineAudioCompletionEvent")}}</p>
</div>
